%global momorel 1

Summary: Shared MIME information database
Name: shared-mime-info
Version: 0.17
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://freedesktop.org/Software/shared-mime-info
Source: http://freedesktop.org/~hadess/%{name}-%{version}.tar.gz
Source1: defaults.list
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxml2-devel >= 2.6.23
BuildRequires:  glib-devel >= 2.10.1
# For intltool:
BuildRequires: perl-XML-Parser >= 2.34-4m
Requires: libxml2 glib

Nosource: 0

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

%prep
%setup -q

%build

%configure --disable-update-mimedb
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/defaults.list

## remove these bogus files
rm -rf %{buildroot}%{_datadir}/locale/*

%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS shared-mime-info-spec.xml
%{_bindir}/*
%dir %{_datadir}/mime/
%{_datadir}/mime/packages
%{_datadir}/applications/defaults.list
%{_libdir}/pkgconfig/*
%{_mandir}/man*/*

%changelog
* Thu Apr  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.17-1m)
- update to 0.17

* Tue Nov 15 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.16-1m)
- update to 0.16
- remove Patch0(shared-mime-info-0.15-xul.patch)
- remove Patch1(shared-mime-info-0.15-endian.patch)

* Thu Apr 14 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.15-3m)
- update defaults.list (added xml entry)

* Sun Apr 10 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.15-2m)
- Handle XUL files. #134122
- Fix for mime sniffing on big-endian
- add defaults.list

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Fri Apr 23 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.14-1m)
- import from FC1

* Mon Mar 22 2004 Alex Larsson <alexl@redhat.com> 0.14-1
- update to 0.14

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.13-1
- 0.13

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> mime-info
- Initial build.
